Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.monitor.model
Interface RequestInfo

All Known Implementing Classes:
  RequestInfoImpl

    public interface RequestInfo

Version:
  $Revision: 674365 $

Method Summary
`long` | `getBytesReceived()`
`long` | `getBytesSent()`
`long` | `getErrorCount()`
`int` | `getMaxTime()`
`int` | `getProcessingTime()`
`long` | `getRequestCount()`
`void` | `setBytesReceived(long value)`
`void` | `setBytesSent(long value)`
`void` | `setErrorCount(long value)`
`void` | `setMaxTime(int value)`
`void` | `setProcessingTime(int value)`
`void` | `setRequestCount(long value)`

Method Detail

### getBytesReceived

    long getBytesReceived()

### setBytesReceived

    void setBytesReceived(long value)

### getBytesSent

    long getBytesSent()

### setBytesSent

    void setBytesSent(long value)

### getRequestCount

    long getRequestCount()

### setRequestCount

    void setRequestCount(long value)

### getErrorCount

    long getErrorCount()

### setErrorCount

    void setErrorCount(long value)

### getMaxTime

    int getMaxTime()

### setMaxTime

    void setMaxTime(int value)

### getProcessingTime

    int getProcessingTime()

### setProcessingTime

    void setProcessingTime(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.